import { Dash4Plugin, IDash4Plugin } from '@dash4/server';
import { IAllowedCommand, IClientConfig, IRecieveFromClientCb, IRecieveFromClientEventNames, ISendToClientData, ISendToClientEventNames } from '../shared-types';
export * from './jest-commands';
export interface IOptions {
    cmd: string;
    cwd?: string;
    title?: string;
    subtitle?: string;
    allowedCommands?: IAllowedCommand[];
    dark?: boolean;
    autostart?: boolean;
    width?: number[];
    height?: number;
}
export declare class PluginTerminal extends Dash4Plugin<IRecieveFromClientEventNames, IRecieveFromClientCb, ISendToClientEventNames, ISendToClientData> implements IDash4Plugin<IClientConfig> {
    private _cmd;
    private _cwd;
    private _terminalLog;
    private _autostart;
    private _term?;
    private _stopProcessingTriggered;
    private _allowedCommands?;
    private _height?;
    private _title?;
    private _subtitle?;
    constructor({ dark, width, height, title, subtitle, cmd, cwd, autostart, allowedCommands, }: IOptions);
    create(): void;
    get clientConfig(): {
        cmd: string;
        cwd: string;
        allowedCommands: {};
        height: number | undefined;
        title: string | undefined;
        subtitle: string | undefined;
    };
    get clientFiles(): string[];
    connected: () => void;
    private _handleConnected;
    private _handleTermStopProcessing;
    private _getCommandById;
    private _appendCommand;
    private _appendCommandInput;
    private _recieveData;
    private _kill;
    private _write;
    private _stop;
    private _clean;
    private _start;
}
