export interface IAllowedCommand {
    keyCode: number | string;
    terminalOutput?: string;
    title: string;
    input?: (value: string) => string;
}
export interface IAllowedCommandConfig {
    keyCode: number | string;
    title: string;
    hasInput: boolean;
}
export interface IClientConfig {
    cmd: string;
    cwd?: string;
    allowedCommands?: {
        [key: string]: IAllowedCommandConfig;
    };
    height?: number;
    title?: string;
    subtitle?: string;
}
export declare const SEND_TO_SERVER_EVENT_NAMES: {
    readonly connected: "connected";
    readonly start: "start";
    readonly stop: "stop";
    readonly clean: "clean";
    readonly command: "command";
    readonly 'command-input': "command-input";
};
export declare type ISendToServerEventNames = keyof typeof SEND_TO_SERVER_EVENT_NAMES;
export declare type ISendToServerData = void | void | void | void | string | {
    value: string;
    commandId: string;
};
export declare type ISendToServer = (eventName: ISendToServerEventNames, data: ISendToServerData) => void | Promise<void>;
export declare type IRecieveFromClientEventNames = ISendToServerEventNames;
export declare type IRecieveFromClientCb = (data: ISendToServerData) => void | Promise<void>;
export declare type IRecieveFromClient = (eventName: IRecieveFromClientEventNames, cb: (data: ISendToServerData) => void | Promise<void>) => void | Promise<void>;
export declare const SEND_TO_CLIENT_EVENT_NAMES: {
    readonly connected: "connected";
    readonly recieve: "recieve";
    readonly stopped: "stopped";
};
export declare type ISendToClientEventNames = keyof typeof SEND_TO_CLIENT_EVENT_NAMES;
export declare type ISendToClientData = string | string | void;
export declare type ISendToClient = (eventName: ISendToClientEventNames, data: ISendToClientData) => void | Promise<void>;
export declare type IRecieveFromServerEventNames = ISendToClientEventNames;
export declare type IRecieveFromServerCb = (data: ISendToClientData) => void | Promise<void>;
export declare type IRecieveFromServer = (eventName: IRecieveFromServerEventNames, cb: IRecieveFromServerCb) => void | Promise<void>;
